/* -*- Mode: C; c-basic-offset:4 ; -*- */
/*
 *  (C) 2001 by Argonne National Laboratory.
 *      See COPYRIGHT in top-level directory.
 */

#ifndef MM_TIMER_STATES_H
#define MM_TIMER_STATES_H

enum MM_TIMER_STATE
{
MM_OPEN_PORT_INDEX,
MM_CLOSE_PORT_INDEX,
MM_ACCEPT_INDEX,
MM_CONNECT_INDEX,
MM_SEND_INDEX,
MM_RECV_INDEX,
MM_CLOSE_INDEX,
MM_REQUEST_ALLOC_INDEX,
MM_REQUEST_FREE_INDEX,
MM_CAR_INIT_INDEX,
MM_CAR_FINALIZE_INDEX,
MM_CAR_ALLOC_INDEX,
MM_CAR_FREE_INDEX,
MM_VC_INIT_INDEX,
MM_VC_FINALIZE_INDEX,
MM_VC_FROM_COMMUNICATOR_INDEX,
MM_VC_FROM_CONTEXT_INDEX,
MM_VC_ALLOC_INDEX,
MM_VC_CONNECT_ALLOC_INDEX,
MM_VC_FREE_INDEX,
MM_CHOOSE_BUFFER_INDEX,
MM_RESET_CARS_INDEX,
MM_GET_BUFFERS_TMP_INDEX,
MM_RELEASE_BUFFERS_TMP_INDEX,
MM_GET_BUFFERS_VEC_INDEX,
VEC_BUFFER_INIT_INDEX,
TMP_BUFFER_INIT_INDEX,
SIMPLE_BUFFER_INIT_INDEX,
MM_POST_RECV_INDEX,
MM_POST_SEND_INDEX,
MM_POST_RNDV_DATA_SEND_INDEX,
MM_POST_RNDV_CLEAR_TO_SEND_INDEX,
MM_CQ_TEST_INDEX,
MM_CQ_WAIT_INDEX,
MM_CQ_ENQUEUE_INDEX,
MM_CREATE_POST_UNEX_INDEX,
MM_ENQUEUE_REQUEST_TO_SEND_INDEX,
XFER_INIT_INDEX,
XFER_RECV_OP_INDEX,
XFER_RECV_MOP_OP_INDEX,
XFER_RECV_FORWARD_OP_INDEX,
XFER_RECV_MOP_FORWARD_OP_INDEX,
XFER_FORWARD_OP_INDEX,
XFER_SEND_OP_INDEX,
XFER_REPLICATE_OP_INDEX,
XFER_START_INDEX,
TCP_INIT_INDEX,
TCP_FINALIZE_INDEX,
TCP_ACCEPT_CONNECTION_INDEX,
TCP_GET_BUSINESS_CARD_INDEX,
TCP_CAN_CONNECT_INDEX,
TCP_POST_CONNECT_INDEX,
TCP_POST_READ_INDEX,
TCP_MERGE_WITH_UNEXPECTED_INDEX,
TCP_POST_WRITE_INDEX,
TCP_MAKE_PROGRESS_INDEX,
TCP_CAR_ENQUEUE_INDEX,
TCP_CAR_DEQUEUE_INDEX,
TCP_CAR_DEQUEUE_WRITE_INDEX,
TCP_RESET_CAR_INDEX,
TCP_POST_READ_PKT_INDEX,
TCP_READ_INDEX,
TCP_WRITE_INDEX,
TCP_READ_SHM_INDEX,
TCP_READ_VIA_INDEX,
TCP_READ_VIA_RDMA_INDEX,
TCP_READ_VEC_INDEX,
TCP_READ_TMP_INDEX,
TCP_READ_CONNECTING_INDEX,
TCP_WRITE_SHM_INDEX,
TCP_WRITE_VIA_INDEX,
TCP_WRITE_VIA_RDMA_INDEX,
TCP_WRITE_VEC_INDEX,
TCP_WRITE_TMP_INDEX,
TCP_STUFF_VECTOR_SHM_INDEX,
TCP_STUFF_VECTOR_VIA_INDEX,
TCP_STUFF_VECTOR_VIA_RDMA_INDEX,
TCP_STUFF_VECTOR_VEC_INDEX,
TCP_STUFF_VECTOR_TMP_INDEX,
TCP_WRITE_AGGRESSIVE_INDEX,
TCP_CAR_HEAD_ENQUEUE_INDEX,
TCP_SETUP_PACKET_CAR_INDEX,
TCP_UPDATE_CAR_NUM_WRITTEN_INDEX,
TCP_MERGE_UNEXPECTED_DATA_INDEX,
TCP_MERGE_SHM_INDEX,
TCP_MERGE_VIA_INDEX,
TCP_MERGE_VIA_RDMA_INDEX,
TCP_MERGE_VEC_INDEX,
TCP_MERGE_TMP_INDEX,
TCP_MERGE_SIMPLE_INDEX,
TCP_MERGE_WITH_POSTED_INDEX,
TCP_READ_HEADER_INDEX,
TCP_READ_DATA_INDEX,
TCP_READ_SIMPLE_INDEX,
TCP_WRITE_SIMPLE_INDEX,
TCP_STUFF_VECTOR_SIMPLE_INDEX,
BREAD_INDEX,
BREADV_INDEX,
BWRITE_INDEX,
BWRITEV_INDEX,
BSELECT_INDEX,
MPID_ISEND_INDEX,
MPID_IRECV_INDEX,
MPID_SEND_INDEX,
MPID_RECV_INDEX,
MPID_PROGRESS_TEST_INDEX,
MPID_ABORT_INDEX,
MPID_CLOSE_PORT_INDEX,
MPID_COMM_ACCEPT_INDEX,
MPID_COMM_CONNECT_INDEX,
MPID_COMM_DISCONNECT_INDEX,
MPID_COMM_SPAWN_MULTIPLE_INDEX,
MPID_OPEN_PORT_INDEX,
FIND_IN_QUEUE_INDEX,
CQ_HANDLE_READ_HEAD_CAR_INDEX,
CQ_HANDLE_READ_DATA_CAR_INDEX,
CQ_HANDLE_READ_CAR_INDEX,
CQ_HANDLE_WRITE_HEAD_CAR_INDEX,
CQ_HANDLE_WRITE_DATA_CAR_INDEX,
CQ_HANDLE_WRITE_CAR_INDEX,
PACKER_CAR_ENQUEUE_INDEX,
PACKER_CAR_DEQUEUE_INDEX,
PACKER_INIT_INDEX,
PACKER_FINALIZE_INDEX,
PACKER_MAKE_PROGRESS_INDEX,
PACKER_POST_READ_INDEX,
PACKER_MERGE_WITH_UNEXPECTED_INDEX,
PACKER_POST_WRITE_INDEX,
PACKER_RESET_CAR_INDEX,
MPID_PROGRESS_WAIT_INDEX,
MPID_REQUEST_RELEASE_INDEX,
SHM_CAN_CONNECT_INDEX,
SHM_GET_BUSINESS_CARD_INDEX,
SHM_INIT_INDEX,
SHM_FINALIZE_INDEX,
SHM_MAKE_PROGRESS_INDEX,
SHM_ALLOC_INDEX,
SHM_FREE_INDEX,
SHM_GET_MEM_SYNC_INDEX,
SHM_RELEASE_MEM_INDEX,
SHM_POST_CONNECT_INDEX,
SHM_POST_READ_INDEX,
SHM_MERGE_WITH_UNEXPECTED_INDEX,
SHM_POST_WRITE_INDEX,
UNPACKER_CAR_ENQUEUE_INDEX,
UNPACKER_CAR_DEQUEUE_INDEX,
UNPACKER_INIT_INDEX,
UNPACKER_FINALIZE_INDEX,
UNPACKER_MAKE_PROGRESS_INDEX,
UNPACKER_WRITE_SHM_INDEX,
UNPACKER_WRITE_VIA_INDEX,
UNPACKER_WRITE_VIA_RDMA_INDEX,
UNPACKER_WRITE_VEC_INDEX,
UNPACKER_WRITE_TMP_INDEX,
UNPACKER_POST_READ_INDEX,
UNPACKER_MERGE_WITH_UNEXPECTED_INDEX,
UNPACKER_POST_WRITE_INDEX,
UNPACKER_RESET_CAR_INDEX,
UNPACKER_WRITE_SIMPLE_INDEX,
VIA_CAN_CONNECT_INDEX,
VIA_GET_BUSINESS_CARD_INDEX,
VIA_INIT_INDEX,
VIA_FINALIZE_INDEX,
VIA_MAKE_PROGRESS_INDEX,
VIA_POST_CONNECT_INDEX,
VIA_POST_READ_INDEX,
VIA_MERGE_WITH_UNEXPECTED_INDEX,
VIA_POST_WRITE_INDEX,
VIA_RDMA_CAN_CONNECT_INDEX,
VIA_RDMA_GET_BUSINESS_CARD_INDEX,
VIA_RDMA_INIT_INDEX,
VIA_RDMA_FINALIZE_INDEX,
VIA_RDMA_MAKE_PROGRESS_INDEX,
VIA_RDMA_POST_CONNECT_INDEX,
VIA_RDMA_POST_READ_INDEX,
VIA_RDMA_MERGE_WITH_UNEXPECTED_INDEX,
VIA_RDMA_POST_WRITE_INDEX,

MM_NUM_TIMER_STATES
};

#endif
